#!/bin/sh

# Copyright (C) 2019-2023 Svante Signell

# Written by Svante Signell  <svante.signell@gmail.com>

# This file is part of hurd-cross.

# Hurd-cross is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3 or (at your
# option) any later version.

# Hurd-cross is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with hurd-cross.  If not, see <http://www.gnu.org/licenses/>.

. ./environment-variables.sh

if [ "$SYSTEM" = "/" ]; then
  exit 1
fi

#FIXME: Remove only unpacked directories from compile in $SRC
echo ""
print_info "Cleaning compile directories under SYSTEM=$SYSTEM..."
print_info "Removing files in directories:"
print_info "$STAMPS/compile"
print_info "$LOGS/compile"
cd "$SYSTEM"
rm -rf $STAMPS/compile/* $LOGS/compile/*

#FIXME:
print_info "Removing directory TARGET_ROOT=$TARGET_ROOT"
su -c "rm -rf $TARGET_ROOT"
print_info ""
